﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using InTheHand.Net;

namespace Hslu.Bluetooth
{
    public sealed class RobotID
    {
        public RobotID(Guid guid, BluetoothAddress mac)
        {
            this.guid = guid;
            this.mac = mac;
        }

        private readonly Guid guid;
        public Guid Guid { get { return guid; } }

        private readonly BluetoothAddress mac;
        public BluetoothAddress Mac { get { return mac; } }
    }

    public static class RobotIDs
    {
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c01-b062-14e1718fa07a</value>
        public static readonly RobotID Robot01 = new RobotID(new Guid("{c849031a-df6a-4c01-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC002157));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c02-b062-14e1718fa07a</value>
        public static readonly RobotID Robot02 = new RobotID(new Guid("{c849031a-df6a-4c02-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC0FFDEF));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c03-b062-14e1718fa07a</value>
        public static readonly RobotID Robot03 = new RobotID(new Guid("{c849031a-df6a-4c03-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC0021C4));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c04-b062-14e1718fa07a</value>
        public static readonly RobotID Robot04 = new RobotID(new Guid("{c849031a-df6a-4c04-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC0022D6));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c05-b062-14e1718fa07a</value>
        public static readonly RobotID Robot05 = new RobotID(new Guid("{c849031a-df6a-4c05-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC00202F));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c06-b062-14e1718fa07a</value>
        public static readonly RobotID Robot06 = new RobotID(new Guid("{c849031a-df6a-4c06-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC0003CC));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c07-b062-14e1718fa07a</value>
        public static readonly RobotID Robot07 = new RobotID(new Guid("{c849031a-df6a-4c07-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC002140));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c08-b062-14e1718fa07a</value>
        public static readonly RobotID Robot08 = new RobotID(new Guid("{c849031a-df6a-4c08-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC0FFEDE));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c09-b062-14e1718fa07a</value>
        public static readonly RobotID Robot09 = new RobotID(new Guid("{c849031a-df6a-4c09-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC0FFE1C));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c10-b062-14e1718fa07a</value>
        public static readonly RobotID Robot10 = new RobotID(new Guid("{c849031a-df6a-4c10-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC000023));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c11-b062-14e1718fa07a</value>
        public static readonly RobotID Robot11 = new RobotID(new Guid("{c849031a-df6a-4c11-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC0021F1));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c12-b062-14e1718fa07a</value>
        public static readonly RobotID Robot12 = new RobotID(new Guid("{c849031a-df6a-4c12-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC002145));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c13-b062-14e1718fa07a</value>
        public static readonly RobotID Robot13 = new RobotID(new Guid("{c849031a-df6a-4c13-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC00034C));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c14-b062-14e1718fa07a</value>
        public static readonly RobotID Robot14 = new RobotID(new Guid("{c849031a-df6a-4c14-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC002139));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c15-b062-14e1718fa07a</value>
        public static readonly RobotID Robot15 = new RobotID(new Guid("{c849031a-df6a-4c15-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC0FF453));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c16-b062-14e1718fa07a</value>
        public static readonly RobotID Robot16 = new RobotID(new Guid("{c849031a-df6a-4c16-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC0022D5));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c17-b062-14e1718fa07a</value>
        public static readonly RobotID Robot17 = new RobotID(new Guid("{c849031a-df6a-4c17-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC00213D));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c18-b062-14e1718fa07a</value>
        public static readonly RobotID Robot18 = new RobotID(new Guid("{c849031a-df6a-4c18-b062-14e1718fa07a}"), new BluetoothAddress(-1));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c19-b062-14e1718fa07a</value>
        public static readonly RobotID Robot19 = new RobotID(new Guid("{c849031a-df6a-4c19-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC0FFDED));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c20-b062-14e1718fa07a</value>
        public static readonly RobotID Robot20 = new RobotID(new Guid("{c849031a-df6a-4c20-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC0FF360));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c21-b062-14e1718fa07a</value>
        public static readonly RobotID Robot21 = new RobotID(new Guid("{c849031a-df6a-4c21-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC0FE81D));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c22-b062-14e1718fa07a</value>
        public static readonly RobotID Robot22 = new RobotID(new Guid("{c849031a-df6a-4c22-b062-14e1718fa07a}"), new BluetoothAddress(-1));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c23-b062-14e1718fa07a</value>
        public static readonly RobotID Robot23 = new RobotID(new Guid("{c849031a-df6a-4c23-b062-14e1718fa07a}"), new BluetoothAddress(-1));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c24-b062-14e1718fa07a</value>
        public static readonly RobotID Robot24 = new RobotID(new Guid("{c849031a-df6a-4c24-b062-14e1718fa07a}"), new BluetoothAddress(-1));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c25-b062-14e1718fa07a</value>
        public static readonly RobotID Robot25 = new RobotID(new Guid("{c849031a-df6a-4c25-b062-14e1718fa07a}"), new BluetoothAddress(-1));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c26-b062-14e1718fa07a</value>
        public static readonly RobotID Robot26 = new RobotID(new Guid("{c849031a-df6a-4c26-b062-14e1718fa07a}"), new BluetoothAddress(-1));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c27-b062-14e1718fa07a</value>
        public static readonly RobotID Robot27 = new RobotID(new Guid("{c849031a-df6a-4c27-b062-14e1718fa07a}"), new BluetoothAddress(-1));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c28-b062-14e1718fa07a</value>
        public static readonly RobotID Robot28 = new RobotID(new Guid("{c849031a-df6a-4c28-b062-14e1718fa07a}"), new BluetoothAddress(-1));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c29-b062-14e1718fa07a</value>
        public static readonly RobotID Robot29 = new RobotID(new Guid("{c849031a-df6a-4c29-b062-14e1718fa07a}"), new BluetoothAddress(-1));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c30-b062-14e1718fa07a</value>
        public static readonly RobotID Robot30 = new RobotID(new Guid("{c849031a-df6a-4c30-b062-14e1718fa07a}"), new BluetoothAddress(0x001BDC0021D1));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c31-b062-14e1718fa07a</value>
        public static readonly RobotID Robot31 = new RobotID(new Guid("{c849031a-df6a-4c31-b062-14e1718fa07a}"), new BluetoothAddress(-1));
        /// <summary>Generic service for the client/robot and robot/robot communication.</summary>
        /// <value>Value of this generic service guid is c849031a-df6a-4c32-b062-14e1718fa07a</value>
        public static readonly RobotID Robot32 = new RobotID(new Guid("{c849031a-df6a-4c32-b062-14e1718fa07a}"), new BluetoothAddress(-1));
    }
}
